### Method

# GSSDP Client append_header

#### Declaration [src]

    void
    gssdp_client_append_header (
      GSSDPClient* client,
      const char* name,
      const char* value
    )

#### Description [src]

Adds a header field to the messages sent by this `client`. It is intended to be used by clients requiring vendor specific header fields.

If there is an existing header with `name` it will append another one.

#### Parameters

`name` | `const char*`
| Header name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `const char*`
| Header value.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.